Exclude payment methods
By default, all payment methods are available in Checkout Pro. You can customize this configuration through the order to remove unwanted options.
The table below describes the attributes of the config.payment_method object available to configure payment methods according to business needs.
| Attribute | Type | Description | Example |
config.payment_method.not_allowed_types | Array | Allows excluding unwanted payment method types, such as offline payments, credit or debit cards, among others. To get the full list of available types, send a GET with your Access Token to the endpoint /v1/payment_methodsAPI. | ["ticket"] |
config.payment_method.not_allowed_ids | Array | Allows excluding specific credit and debit card brands, such as Visa, Mastercard, American Express, among others. To get the full list of available payment methods, send a GET with your Access Token to the endpoint /v1/payment_methodsAPI. | ["master"] |
config.payment_method.max_installments | Integer | Defines the maximum number of installments that can be offered to the buyer. | 10 |
To configure the payment methods to exclude, include the config.payment_method object when sending the request to the Create orderAPI endpoint.
curl
curl -X POST \ -H 'accept: application/json' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ -H 'X-Idempotency-Key: UNIQUE_KEY' \ 'https://api.mercadopago.com/v1/orders' \ -d '{ "type": "online", "processing_mode": "manual", "total_amount": "1000.00", "external_reference": "order_pro_123", "payer": { "email": "buyer@email.com" }, "items": [ { "title": "My product", "unit_price": "1000.00", "quantity": 1, "unit_measure": "unit", "total_amount": "1000.00" } ], "config": { "payment_method": { "not_allowed_types": ["ticket"], "not_allowed_ids": ["master"], "max_installments": 10 } } }'
